* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

@keyframes type {
    to {
        left: 100%;
    }
}

@keyframes blink {
    to {
        background: transparent;
    }
}

@keyframes fadeInUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@font-face {
    font-family: typewriter;
    src: url(fonts/MODERN\ TYPEWRITER.ttf);
}


body {
    font-family: 'typewriter';
    color: #edede9;
    background-color: gray;
    background-image: url(./images/bg-gif.gif);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    min-height: 100%;

}

/*Start of Header CSS*/
#home-page h1 {
	position: relative;
}

#home-page h1::before,
#home-page h1::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

#home-page h1::before {
    background-color: #010000;
    animation: type 5.5s steps(36) 1s forwards;
}

#home-page h1::after {
    width: 0.125em;
    background-color: #edede9;
    animation: type 5.5s steps(36) 1s forwards,
    blink 600ms steps(28) infinite;
}

#home-page a:hover {
    color: #ffff;
    text-shadow:0 0 10px #ffff,
                0 0 20px #ffff,
                0 0 40px #ffff,
                0 0 80px #ffff,
                0 0 120px #ffff,
                0 0 160px #ffff;
}

#btn-about:hover span,
#btn-work:hover span,
#btn-contact:hover span {
	display: none;
}

#btn-about:hover:before {
	content: "About Me";
}

#btn-work:hover:before {
	content: "My Work";
}

#btn-contact:hover:before {
	content: "Contact Me";
}

#fade-in {
    opacity: 0;
    transform: translateY(3rem);
    animation: fadeInUp 2s ease 7s forwards infinite;
}

.container-fluid {
    background-color: rgba(0, 0, 0, .1);
}

h2 {
	color: #ffff;
    text-shadow:0 0 10px #ffff,
                0 0 20px #ffff,
                0 0 40px #ffff,
                0 0 80px #ffff,
                0 0 120px #ffff,
                0 0 160px #ffff;
}

.card img, .img-footer {
    box-shadow: 0 0 20px 2px rgba(0, 0, 0, 0.1);
    transition: 1s;
}

.card img:hover, .img-footer {
    transform: scale(1.3);
    z-index: 2;
}

.sidebar ,.sidebar .card {
    background-color: #010000;
    background-image: url(./images/bg-gif.gif);
}

.nav-logo {
    width: 50px;
}

.nav-img {
    width: 50px;
    border-radius: 10px;
    background-color: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25' height='100%25' viewBox='0 0 800 800'%3E%3Cdefs%3E%3CradialGradient id='a' cx='400' cy='400' r='50%25' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23ffffff'/%3E%3Cstop offset='1' stop-color='%230EF'/%3E%3C/radialGradient%3E%3CradialGradient id='b' cx='400' cy='400' r='70%25' gradientUnits='userSpaceOnUse'%3E%3Cstop offset='0' stop-color='%23ffffff'/%3E%3Cstop offset='1' stop-color='%230FF'/%3E%3C/radialGradient%3E%3C/defs%3E%3Crect fill='url(%23a)' width='800' height='800'/%3E%3Cg fill-opacity='.8'%3E%3Cpath fill='url(%23b)' d='M998.7 439.2c1.7-26.5 1.7-52.7 0.1-78.5L401 399.9c0 0 0-0.1 0-0.1l587.6-116.9c-5.1-25.9-11.9-51.2-20.3-75.8L400.9 399.7c0 0 0-0.1 0-0.1l537.3-265c-11.6-23.5-24.8-46.2-39.3-67.9L400.8 399.5c0 0 0-0.1-0.1-0.1l450.4-395c-17.3-19.7-35.8-38.2-55.5-55.5l-395 450.4c0 0-0.1 0-0.1-0.1L733.4-99c-21.7-14.5-44.4-27.6-68-39.3l-265 537.4c0 0-0.1 0-0.1 0l192.6-567.4c-24.6-8.3-49.9-15.1-75.8-20.2L400.2 399c0 0-0.1 0-0.1 0l39.2-597.7c-26.5-1.7-52.7-1.7-78.5-0.1L399.9 399c0 0-0.1 0-0.1 0L282.9-188.6c-25.9 5.1-51.2 11.9-75.8 20.3l192.6 567.4c0 0-0.1 0-0.1 0l-265-537.3c-23.5 11.6-46.2 24.8-67.9 39.3l332.8 498.1c0 0-0.1 0-0.1 0.1L4.4-51.1C-15.3-33.9-33.8-15.3-51.1 4.4l450.4 395c0 0 0 0.1-0.1 0.1L-99 66.6c-14.5 21.7-27.6 44.4-39.3 68l537.4 265c0 0 0 0.1 0 0.1l-567.4-192.6c-8.3 24.6-15.1 49.9-20.2 75.8L399 399.8c0 0 0 0.1 0 0.1l-597.7-39.2c-1.7 26.5-1.7 52.7-0.1 78.5L399 400.1c0 0 0 0.1 0 0.1l-587.6 116.9c5.1 25.9 11.9 51.2 20.3 75.8l567.4-192.6c0 0 0 0.1 0 0.1l-537.3 265c11.6 23.5 24.8 46.2 39.3 67.9l498.1-332.8c0 0 0 0.1 0.1 0.1l-450.4 395c17.3 19.7 35.8 38.2 55.5 55.5l395-450.4c0 0 0.1 0 0.1 0.1L66.6 899c21.7 14.5 44.4 27.6 68 39.3l265-537.4c0 0 0.1 0 0.1 0L207.1 968.3c24.6 8.3 49.9 15.1 75.8 20.2L399.8 401c0 0 0.1 0 0.1 0l-39.2 597.7c26.5 1.7 52.7 1.7 78.5 0.1L400.1 401c0 0 0.1 0 0.1 0l116.9 587.6c25.9-5.1 51.2-11.9 75.8-20.3L400.3 400.9c0 0 0.1 0 0.1 0l265 537.3c23.5-11.6 46.2-24.8 67.9-39.3L400.5 400.8c0 0 0.1 0 0.1-0.1l395 450.4c19.7-17.3 38.2-35.8 55.5-55.5l-450.4-395c0 0 0-0.1 0.1-0.1L899 733.4c14.5-21.7 27.6-44.4 39.3-68l-537.4-265c0 0 0-0.1 0-0.1l567.4 192.6c8.3-24.6 15.1-49.9 20.2-75.8L401 400.2c0 0 0-0.1 0-0.1L998.7 439.2z'/%3E%3C/g%3E%3C/svg%3E");
    background-attachment: fixed;
    background-size: cover;
}

.right-sidebar {
    margin-top: 60vh;
}

.img-footer {
    text-decoration: none;
    margin: 0 10px;
    width: 30px;
    border-radius: 5px;
}
